Subject: Re: a question on "iowrite32()"

From: Arnd Bergmann <[email-masked]>
Date: Thu, 7 Jun 2007 16:09:18 +0200

On Thursday 07 June 2007, Ming Liu wrote:
> >Since of_iomap() is rather new and hardly used by any drivers, we
> >could still redefine it so that you would use iowrite32{,be}() instead
> >of out_{be,le}32, but currently that doesn't work.
> 
> So if I am correct, your suggestion is to use iowrite32be() in my device 
> driver, right? 

What I was saying is that iowrite32be is broken for other reasons, as it
is only defined for PCI and ISA devices and you should _not_ use it, 
even if it solves the endianess problem.

What you should use is out_be32().

> However, I cannot find such a function defined in my 2.6.10 kernel.
> Isn't iowrite32be() a standard IO function like iowrite32(), or there is
> a patch to export this function? 

It's a standard function, is was added less than two years ago.
You should really consider upgrading to a recent kernel version for
a number of reasons, but they are all unrelated to your current problem ;-)

	Arnd <><